{
    RandomDemo.spin

    Tests my modifications to RealRandom.spin (now RealRandomModified.spin)

    Copyright (c) Jorge Joaquin Pareja 2012
}
CON
    _CLKMODE = XTAL1 + PLL16X 'Standard clock mode * crystal frequency = 80 MHz
    _XINFREQ = 5_000_000

OBJ
    pst         : "Parallax Serial Terminal"
    rr          : "RealRandomModified"
    
VAR
    LONG rngLONG

PUB Main
    '
    rr.start
    pst.start(115200)
    waitcnt((clkfreq * 2) + cnt)
    pst.clear

    repeat
      TestRndMax(20, 5)     

PUB rndMax(nMax)
    '
    return rr.randomMax(nMax)

PUB TestRndMax(rows, cols) | tmp
    ''
    '' The main test of RealRandom.randomMax(nMax)
    '' generates (cols * rows) random numbers, from 0 to
    '' nMax-1, for each pass
    ''
    pst.clear
    pst.str(STRING("Enter a value between 2 and 2,147,483,647 to test randomMax(nMax): "))
    
    tmp := pst.DecIn
    pst.Dec(tmp)
    pst.NewLine
    pst.NewLine

    repeat rows ' rows
      repeat cols ' columns
        rngLONG := 0
        rngLONG := rndMax(tmp)

        ' the following if statements keep the digits aligned
        if rngLONG < 1000000000
          pst.Char(" ")
        
        if rngLONG < 100000000
          pst.Char(" ")
        
        if rngLONG < 10000000
          pst.Char(" ")
        
        if rngLONG < 1000000
          pst.Char(" ")
        
        if rngLONG < 100000
          pst.Char(" ")

        if rngLONG < 10000
          pst.Char(" ")

        if rngLONG < 1000
          pst.Char(" ")
          
        if rngLONG < 100
          pst.Char(" ")
          
        if rngLONG < 10
          pst.Char(" ")

        pst.Dec(rngLONG)
        pst.Chars(9, 1)
      pst.newline  

    pst.newline
    pst.str(STRING("Done!  Press [Enter] key to continue!"))
    pst.charin
        